<?php
/**
 * ログインを行い、index.phpにリダイレクト。
 * $Id: login.php,v 1.2 2015/10/08 11:49:32 wanggb Exp $
 * @author hr_wanggb
 * @access public
 * @package manager.public_html
 */
// クラス・設定読み込み
require_once("manager_include.inc");

// アカウント取得
$login_ok = false;

// パラメータを取得
$login = ParamUtil::getRequestString("login");
$password = ParamUtil::getRequestString("password");
if (!empty($login) && !empty($password)) {
	$_account = AccountHandler::getAccountByLoginPassword($login, $password);
	if ($_account != null) {
		$_SESSION["account"] = $_account;
		$login_ok = true;
	}
}

if ($login_ok) {
	// 成功したらindexにリダイレクト
	header("Location: index.php");
	exit;
	
} else {
	$title = "登陆失败";
	$next_action = "index.php";
	$message = "登陆失败，请确认你输入的帐号密码。";
	
	$layout_pages = array();
	
	$layout_pages["top"] = "tab_login.inc";
	$layout_pages["middle"] = "error.inc";
	
	require_once(MANAGER_TEMPLATE_DIR_PATH . "/layout/topmenutopsub_layout.inc");
	exit;
	
}

?>